searchData={"items":[{"type":"module","doc":"`KaitaiStruct` is the Elixir runtime for Kaitai","title":"KaitaiStruct","ref":"KaitaiStruct.html"},{"type":"function","doc":"Takes a binary and returns a new binary with the occurrences of the matching byte stripped from the end","title":"KaitaiStruct.bytes_strip_right/2","ref":"KaitaiStruct.html#bytes_strip_right/2"},{"type":"function","doc":"Searches binary for the term and if found, returns a binary terminated at that location. If not found, returns input binary","title":"KaitaiStruct.bytes_terminate/3","ref":"KaitaiStruct.html#bytes_terminate/3"},{"type":"function","doc":"Takes a binary and specifies its' encoding","title":"KaitaiStruct.bytes_to_str/2","ref":"KaitaiStruct.html#bytes_to_str/2"},{"type":"function","doc":"Currently accepted encodings:\n- UTF-8\n- UTF-16\n- UTF-16LE\n- UTF-16BE\n- UTF-32","title":"KaitaiStruct.encodings/0","ref":"KaitaiStruct.html#encodings/0"},{"type":"function","doc":"Runs modulo on inputs","title":"KaitaiStruct.mod/2","ref":"KaitaiStruct.html#mod/2"},{"type":"function","doc":"Elixir strings will be assumed to be encoded in UTF-8 format unless otherwise specified","title":"KaitaiStruct.native_encoding/0","ref":"KaitaiStruct.html#native_encoding/0"},{"type":"module","doc":"Interface for streaming data of known size\n\nImplements the functions mentioned in the [Kaitai Runtime Specification](https://github.com/kaitai-io/kaitai_struct/tree/216acdec97d16b10d331ba9245366b60a69486d4/runtime), implementing the [Kaitai Stream API](https://doc.kaitai.io/stream_api.html)","title":"KaitaiStruct.Stream","ref":"KaitaiStruct.Stream.html"},{"type":"function","doc":"Re-align to bytes after moving to an non-standard bit alignment","title":"KaitaiStruct.Stream.align_to_byte/1","ref":"KaitaiStruct.Stream.html#align_to_byte/1"},{"type":"function","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","title":"KaitaiStruct.Stream.child_spec/1","ref":"KaitaiStruct.Stream.html#child_spec/1"},{"type":"function","doc":"Takes a list of bytes and ensures that the next bytes in the stream are an exact match","title":"KaitaiStruct.Stream.ensure_fixed_contents/2","ref":"KaitaiStruct.Stream.html#ensure_fixed_contents/2"},{"type":"function","doc":"Takes a list of bytes and ensures that the next bytes in the stream are an exact match. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.ensure_fixed_contents!/2","ref":"KaitaiStruct.Stream.html#ensure_fixed_contents!/2"},{"type":"function","doc":"`true` if the stream has emitted its final byte, `false` otherwise","title":"KaitaiStruct.Stream.eof?/1","ref":"KaitaiStruct.Stream.html#eof?/1"},{"type":"function","doc":"Current position (bytes read) within the stream","title":"KaitaiStruct.Stream.pos/1","ref":"KaitaiStruct.Stream.html#pos/1"},{"type":"function","doc":"Read an array of `n` bits from stream.","title":"KaitaiStruct.Stream.read_bits_array/2","ref":"KaitaiStruct.Stream.html#read_bits_array/2"},{"type":"function","doc":"Read an array of `n` bits from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_bits_array!/2","ref":"KaitaiStruct.Stream.html#read_bits_array!/2"},{"type":"function","doc":"Read an integer (composed of N bits) from stream.","title":"KaitaiStruct.Stream.read_bits_int/2","ref":"KaitaiStruct.Stream.html#read_bits_int/2"},{"type":"function","doc":"Read an integer (composed of N bits) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_bits_int!/2","ref":"KaitaiStruct.Stream.html#read_bits_int!/2"},{"type":"function","doc":"An array of `n` bytes from stream.","title":"KaitaiStruct.Stream.read_bytes_array/2","ref":"KaitaiStruct.Stream.html#read_bytes_array/2"},{"type":"function","doc":"An array of `n` bytes from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_bytes_array!/2","ref":"KaitaiStruct.Stream.html#read_bytes_array!/2"},{"type":"function","doc":"An array of all remaining bytes from stream.","title":"KaitaiStruct.Stream.read_bytes_full/1","ref":"KaitaiStruct.Stream.html#read_bytes_full/1"},{"type":"function","doc":"An array of all remaining bytes from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_bytes_full!/1","ref":"KaitaiStruct.Stream.html#read_bytes_full!/1"},{"type":"function","doc":"Read bytes until the character (in the given encoding) is reached. Accepted encodings at `KaitaiStruct.encodings/0`","title":"KaitaiStruct.Stream.read_bytes_term/6","ref":"KaitaiStruct.Stream.html#read_bytes_term/6"},{"type":"function","doc":"Read bytes until the character (in the given encoding) is reached. Accepted encodings at `KaitaiStruct.encodings/0`\nRaises `KaitaiStruct.Stream.ReadError` on failure.","title":"KaitaiStruct.Stream.read_bytes_term!/6","ref":"KaitaiStruct.Stream.html#read_bytes_term!/6"},{"type":"type","doc":"","title":"KaitaiStruct.Stream.read_error/0","ref":"KaitaiStruct.Stream.html#t:read_error/0"},{"type":"function","doc":"Read float (4 bytes, big-endian) from stream.","title":"KaitaiStruct.Stream.read_f4be/1","ref":"KaitaiStruct.Stream.html#read_f4be/1"},{"type":"function","doc":"Read float (4 bytes, big-endian) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_f4be!/1","ref":"KaitaiStruct.Stream.html#read_f4be!/1"},{"type":"function","doc":"Read float (4 bytes, little-endian) from stream.","title":"KaitaiStruct.Stream.read_f4le/1","ref":"KaitaiStruct.Stream.html#read_f4le/1"},{"type":"function","doc":"Read float (4 bytes, little-endian) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_f4le!/1","ref":"KaitaiStruct.Stream.html#read_f4le!/1"},{"type":"function","doc":"Read float (8 bytes, big-endian) from stream.","title":"KaitaiStruct.Stream.read_f8be/1","ref":"KaitaiStruct.Stream.html#read_f8be/1"},{"type":"function","doc":"Read float (8 bytes, big-endian) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_f8be!/1","ref":"KaitaiStruct.Stream.html#read_f8be!/1"},{"type":"function","doc":"Read float (8 bytes, little-endian) from stream.","title":"KaitaiStruct.Stream.read_f8le/1","ref":"KaitaiStruct.Stream.html#read_f8le/1"},{"type":"function","doc":"Read float (8 bytes, little-endian) from stream.","title":"KaitaiStruct.Stream.read_f8le!/1","ref":"KaitaiStruct.Stream.html#read_f8le!/1"},{"type":"function","doc":"Read signed integer (1 byte) from stream.","title":"KaitaiStruct.Stream.read_s1/1","ref":"KaitaiStruct.Stream.html#read_s1/1"},{"type":"function","doc":"Read signed integer (1 byte) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_s1!/1","ref":"KaitaiStruct.Stream.html#read_s1!/1"},{"type":"function","doc":"Read signed integer (2 bytes, big-endian) from stream.","title":"KaitaiStruct.Stream.read_s2be/1","ref":"KaitaiStruct.Stream.html#read_s2be/1"},{"type":"function","doc":"Read signed integer (2 bytes, big-endian) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_s2be!/1","ref":"KaitaiStruct.Stream.html#read_s2be!/1"},{"type":"function","doc":"Read signed integer (2 bytes, little-endian) from stream.","title":"KaitaiStruct.Stream.read_s2le/1","ref":"KaitaiStruct.Stream.html#read_s2le/1"},{"type":"function","doc":"Read signed integer (2 bytes, little-endian) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_s2le!/1","ref":"KaitaiStruct.Stream.html#read_s2le!/1"},{"type":"function","doc":"Read signed integer (4 bytes, big-endian) from stream.","title":"KaitaiStruct.Stream.read_s4be/1","ref":"KaitaiStruct.Stream.html#read_s4be/1"},{"type":"function","doc":"Read signed integer (4 bytes, big-endian) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_s4be!/1","ref":"KaitaiStruct.Stream.html#read_s4be!/1"},{"type":"function","doc":"Read signed integer (4 bytes, little-endian) from stream.","title":"KaitaiStruct.Stream.read_s4le/1","ref":"KaitaiStruct.Stream.html#read_s4le/1"},{"type":"function","doc":"Read signed integer (4 bytes, little-endian) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_s4le!/1","ref":"KaitaiStruct.Stream.html#read_s4le!/1"},{"type":"function","doc":"Read signed integer (8 bytes, big-endian) from stream.","title":"KaitaiStruct.Stream.read_s8be/1","ref":"KaitaiStruct.Stream.html#read_s8be/1"},{"type":"function","doc":"Read signed integer (8 bytes, big-endian) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_s8be!/1","ref":"KaitaiStruct.Stream.html#read_s8be!/1"},{"type":"function","doc":"Read signed integer (8 bytes, little-endian) from stream.","title":"KaitaiStruct.Stream.read_s8le/1","ref":"KaitaiStruct.Stream.html#read_s8le/1"},{"type":"function","doc":"Read signed integer (8 bytes, little-endian) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_s8le!/1","ref":"KaitaiStruct.Stream.html#read_s8le!/1"},{"type":"function","doc":"Read unsigned integer (1 byte) from stream.","title":"KaitaiStruct.Stream.read_u1/1","ref":"KaitaiStruct.Stream.html#read_u1/1"},{"type":"function","doc":"Read unsigned integer (1 byte) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_u1!/1","ref":"KaitaiStruct.Stream.html#read_u1!/1"},{"type":"function","doc":"Read unsigned integer (2 bytes, big-endian) from stream.","title":"KaitaiStruct.Stream.read_u2be/1","ref":"KaitaiStruct.Stream.html#read_u2be/1"},{"type":"function","doc":"Read unsigned integer (2 bytes, big-endian) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_u2be!/1","ref":"KaitaiStruct.Stream.html#read_u2be!/1"},{"type":"function","doc":"Read unsigned integer (2 bytes, little-endian) from stream.","title":"KaitaiStruct.Stream.read_u2le/1","ref":"KaitaiStruct.Stream.html#read_u2le/1"},{"type":"function","doc":"Read unsigned integer (2 bytes, little-endian) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_u2le!/1","ref":"KaitaiStruct.Stream.html#read_u2le!/1"},{"type":"function","doc":"Read unsigned integer (4 bytes, big-endian) from stream.","title":"KaitaiStruct.Stream.read_u4be/1","ref":"KaitaiStruct.Stream.html#read_u4be/1"},{"type":"function","doc":"Read unsigned integer (4 bytes, big-endian) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_u4be!/1","ref":"KaitaiStruct.Stream.html#read_u4be!/1"},{"type":"function","doc":"Read unsigned integer (4 bytes, little-endian) from stream.","title":"KaitaiStruct.Stream.read_u4le/1","ref":"KaitaiStruct.Stream.html#read_u4le/1"},{"type":"function","doc":"Read unsigned integer (4 bytes, little-endian) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_u4le!/1","ref":"KaitaiStruct.Stream.html#read_u4le!/1"},{"type":"function","doc":"Read unsigned integer (8 bytes, big-endian) from stream.","title":"KaitaiStruct.Stream.read_u8be/1","ref":"KaitaiStruct.Stream.html#read_u8be/1"},{"type":"function","doc":"Read unsigned integer (8 bytes, big-endian) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_u8be!/1","ref":"KaitaiStruct.Stream.html#read_u8be!/1"},{"type":"function","doc":"Read unsigned integer (8 bytes, little-endian) from stream.","title":"KaitaiStruct.Stream.read_u8le/1","ref":"KaitaiStruct.Stream.html#read_u8le/1"},{"type":"function","doc":"Read unsigned integer (8 bytes, little-endian) from stream. Raises `KaitaiStruct.Stream.ReadError` on failure","title":"KaitaiStruct.Stream.read_u8le!/1","ref":"KaitaiStruct.Stream.html#read_u8le!/1"},{"type":"function","doc":"Moves the stream position forward by `n` bytes, or to the end of the stream. Whichever is smaller.","title":"KaitaiStruct.Stream.seek/2","ref":"KaitaiStruct.Stream.html#seek/2"},{"type":"function","doc":"Total size of the stream, in bytes","title":"KaitaiStruct.Stream.size/1","ref":"KaitaiStruct.Stream.html#size/1"},{"type":"type","doc":"","title":"KaitaiStruct.Stream.stream_state/0","ref":"KaitaiStruct.Stream.html#t:stream_state/0"},{"type":"exception","doc":"","title":"KaitaiStruct.Stream.ReadError","ref":"KaitaiStruct.Stream.ReadError.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}